Bug 545874 - Need to generate SMBIOS table 4 data for windows guests
Summary: Need to generate SMBIOS table 4 data for windows guests
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm
Version: 5.4.z
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Eduardo Habkost
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 537178
Blocks: 553441
TreeView+ depends on / blocked
 
Reported: 2009-12-09 15:01 UTC by RHEL Program Management
Modified: 2013-01-09 22:06 UTC (History)
12 users (show)

Fixed In Version: kvm-83-105.el5_4.14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-09 10:02:10 UTC
Target Upstream Version:


Attachments (Terms of Use)
t4 data on kvm-83-105.el5_4.13 from win2008r2 guest (2.01 KB, text/plain)
2010-01-11 12:05 UTC, Keqin Hong
no flags Details
t4 data on kvm-83-105.el5_4.18 from win2008r2 guest (2.06 KB, text/plain)
2010-01-11 12:06 UTC, Keqin Hong
no flags Details
dmidecode from RHEL5s-64 guest on kvm-83-105.el5_4.13 (901 bytes, application/octet-stream)
2010-01-12 02:28 UTC, Keqin Hong
no flags Details
dmidecode from RHEL5s-64 guest on kvm-83-105.el5_4.18 (887 bytes, application/octet-stream)
2010-01-12 02:29 UTC, Keqin Hong
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0088 0 normal SHIPPED_LIVE Important: kvm security and bug fix update 2010-02-09 10:01:51 UTC

Description RHEL Program Management 2009-12-09 15:01:01 UTC
This bug has been copied from bug #537178 and has been proposed
to be backported to 5.4 z-stream (EUS).

Comment 7 Keqin Hong 2010-01-11 12:05:21 UTC
Created attachment 382967 [details]
t4 data on kvm-83-105.el5_4.13 from win2008r2 guest

t4-kvm105_413.txt

Comment 8 Keqin Hong 2010-01-11 12:06:28 UTC
Created attachment 382969 [details]
t4 data on kvm-83-105.el5_4.18 from win2008r2 guest

Comment 9 Keqin Hong 2010-01-11 12:09:47 UTC
Got DMI/SMBIOS table 4 data from win2008r2_64bit guest on kvm-83-105.el5_4.18, and failed to get info on kvm-83-105.el5_4.13.
see attachments of #7 #8 for detail. (note Processor Manufacturer, Max speed, etc.)

qemu-kvm cmd:
#/usr/libexec/qemu-kvm -m 2048 -smp 2 -drive file=win2k8r2-64bit.qcow2,if=ide,cache=off,boot=on -net nic,model=rtl8139,vlan=1,macaddr=DE:AD:BE:EF:59:22 -net tap,vlan=1,script=/etc/qemu-ifup -boot c -uuid 2b97e0b2-1a57-4de2-b575-f25a45d0a064 -usbdevice tablet -no-hpet -rtc-td-hack -no-kvm-pit-reinjection -monitor stdio -notify all -cpu qemu64,+sse2 -balloon none -vnc :1

CrystalDMI was used inside win2008r2_64bit guest which can be downloaded from http://crystalmark.info/download/index-e.html#CrystalDMI

Comment 10 Yaniv Kaul 2010-01-11 12:14:32 UTC
(In reply to comment #9)
> Got DMI/SMBIOS table 4 data from win2008r2_64bit guest on kvm-83-105.el5_4.18,
> and failed to get info on kvm-83-105.el5_4.13.
> see attachments of #7 #8 for detail. (note Processor Manufacturer, Max speed,
> etc.)
> 
> qemu-kvm cmd:
> #/usr/libexec/qemu-kvm -m 2048 -smp 2 -drive
> file=win2k8r2-64bit.qcow2,if=ide,cache=off,boot=on -net
> nic,model=rtl8139,vlan=1,macaddr=DE:AD:BE:EF:59:22 -net
> tap,vlan=1,script=/etc/qemu-ifup -boot c -uuid
> 2b97e0b2-1a57-4de2-b575-f25a45d0a064 -usbdevice tablet -no-hpet -rtc-td-hack
> -no-kvm-pit-reinjection -monitor stdio -notify all -cpu qemu64,+sse2 -balloon
> none -vnc :1
> 
> CrystalDMI was used inside win2008r2_64bit guest which can be downloaded from
> http://crystalmark.info/download/index-e.html#CrystalDMI    

Some details look strange to me:
Processor Manufacturer         : CPU 1
Processor Version              : CPU 1

Comment 11 Gleb Natapov 2010-01-11 12:27:41 UTC
(In reply to comment #10)
> (In reply to comment #9)
> > Got DMI/SMBIOS table 4 data from win2008r2_64bit guest on kvm-83-105.el5_4.18,
> > and failed to get info on kvm-83-105.el5_4.13.
> > see attachments of #7 #8 for detail. (note Processor Manufacturer, Max speed,
> > etc.)
> > 
> > qemu-kvm cmd:
> > #/usr/libexec/qemu-kvm -m 2048 -smp 2 -drive
> > file=win2k8r2-64bit.qcow2,if=ide,cache=off,boot=on -net
> > nic,model=rtl8139,vlan=1,macaddr=DE:AD:BE:EF:59:22 -net
> > tap,vlan=1,script=/etc/qemu-ifup -boot c -uuid
> > 2b97e0b2-1a57-4de2-b575-f25a45d0a064 -usbdevice tablet -no-hpet -rtc-td-hack
> > -no-kvm-pit-reinjection -monitor stdio -notify all -cpu qemu64,+sse2 -balloon
> > none -vnc :1
> > 
> > CrystalDMI was used inside win2008r2_64bit guest which can be downloaded from
> > http://crystalmark.info/download/index-e.html#CrystalDMI    
> 
> Some details look strange to me:
> Processor Manufacturer         : CPU 1
Where do you see this.

> Processor Version              : CPU 1    
Looks like CrystalDMI bug to me. Check with Linux guest and dmidecode.

Comment 12 Gleb Natapov 2010-01-11 12:30:07 UTC
> > Some details look strange to me:
> > Processor Manufacturer         : CPU 1
> Where do you see this.
>
Ah this is from commet #7. Same CrystalDMI bug.
> > Processor Version              : CPU 1    
> Looks like CrystalDMI bug to me. Check with Linux guest and dmidecode.

Comment 13 Keqin Hong 2010-01-12 02:28:14 UTC
Created attachment 383156 [details]
dmidecode from RHEL5s-64 guest on kvm-83-105.el5_4.13

Comment 14 Keqin Hong 2010-01-12 02:29:06 UTC
Created attachment 383157 [details]
dmidecode from RHEL5s-64 guest on kvm-83-105.el5_4.18

Comment 15 Keqin Hong 2010-01-12 02:33:10 UTC
Below is the difference between dmidecode_t4_kvm105_4.13 and dmidecode_t4_kvm105_4.18 (from attachments of comment #13 and #14)
guest is RHEL5.4Server-64

# diff -u dmidecode_t4_kvm105_4.13 dmidecode_t4_kvm105_4.18
--- dmidecode_t4_kvm105_4.13	2010-01-12 10:21:48.570648302 +0800
+++ dmidecode_t4_kvm105_4.18	2010-01-12 10:21:48.641585848 +0800
@@ -6,13 +6,13 @@
 	Socket Designation: CPU 1
 	Type: Central Processor
 	Family: Other
-	Manufacturer: Not Specified
+	Manufacturer: QEMU
 	ID: 63 06 00 00 FD FB 8B 07
 	Version: Not Specified
 	Voltage: Unknown
 	External Clock: Unknown
-	Max Speed: Unknown
-	Current Speed: Unknown
+	Max Speed: 2000 MHz
+	Current Speed: 2000 MHz
 	Status: Populated, Enabled
 	Upgrade: Other
 	L1 Cache Handle: Not Provided
@@ -24,13 +24,13 @@
 	Socket Designation: CPU 2
 	Type: Central Processor
 	Family: Other
-	Manufacturer: Not Specified
+	Manufacturer: QEMU
 	ID: 63 06 00 00 FD FB 8B 07
 	Version: Not Specified
 	Voltage: Unknown
 	External Clock: Unknown
-	Max Speed: Unknown
-	Current Speed: Unknown
+	Max Speed: 2000 MHz
+	Current Speed: 2000 MHz
 	Status: Populated, Enabled
 	Upgrade: Other
 	L1 Cache Handle: Not Provided

Comment 16 lihuang 2010-01-15 15:43:27 UTC
also  passed the HCT test with window2k8 R2 guest
setting to verified .

Comment 19 errata-xmlrpc 2010-02-09 10:02:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0088.html


Note You need to log in before you can comment on or make changes to this bug.